## CloudProvidersAccount

CloudProvidersAccount — Base object for representing a single account for clients.

## Functions

CloudProvidersAccount * | cloud_providers_account_new ()
const gchar * | cloud_providers_account_get_name ()
CloudProvidersAccountStatus | cloud_providers_account_get_status ()
const gchar * | cloud_providers_account_get_status_details ()
GIcon * | cloud_providers_account_get_icon ()
GMenuModel * | cloud_providers_account_get_menu_model ()
GActionGroup * | cloud_providers_account_get_action_group ()
const gchar * | cloud_providers_account_get_path ()

## Properties

GActionGroup * | action-group | Read
GIcon * | icon | Read
GMenuModel * | menu-model | Read
gchar * | name | Read
gchar * | path | Read
CloudProvidersAccountStatus | status | Read
gchar * | status-details | Read

## Types and Values

enum | CloudProvidersAccountStatus
#define | CLOUD_PROVIDERS_TYPE_ACCOUNT
struct | CloudProvidersAccountClass
| CloudProvidersAccount

## Object Hierarchy

        GObject
        ╰── CloudProvidersAccount

## Includes

    #include <src/cloudprovideraccount.h>

## Description

CloudProvidersAccount is the basic object used to construct the integrator UI and actions that a provider will present to the user, from the client side. Integrators of the cloud providers can use this object to poll the CloudProvider menus, status and actions.

## Functions

### cloud_providers_account_new ()

    CloudProvidersAccount *
    cloud_providers_account_new (GDBusProxy *proxy);

A CloudProvidersAccount object are used to fetch details about cloud providers from DBus. Object are usually fetched from `cloud_providers_get_providers()` as a list.

#### Parameters

proxy | DBus proxy |

### cloud_providers_account_get_name ()

    const gchar *
    cloud_providers_account_get_name (CloudProvidersAccount *self);

Get the name of the account

#### Parameters

self | A cloud provider account |

#### Returns

The name of the cloud provider account

### cloud_providers_account_get_status ()

    CloudProvidersAccountStatus
    cloud_providers_account_get_status (CloudProvidersAccount *self);

Get the status of the account

#### Parameters

self | A cloud provider account |

#### Returns

The status of the cloud provider account

### cloud_providers_account_get_status_details ()

    const gchar *
    cloud_providers_account_get_status_details
                                   (CloudProvidersAccount *self);

Get the status details of the account

#### Parameters

self | A cloud provider account |

#### Returns

The status detail description of the cloud provider account

### cloud_providers_account_get_icon ()

    GIcon *
    cloud_providers_account_get_icon (CloudProvidersAccount *self);

Get the icon of the account

#### Parameters

self | A cloud provider account |

#### Returns

(transfer none) : The icon of the cloud provider account

### cloud_providers_account_get_menu_model ()

    GMenuModel *
    cloud_providers_account_get_menu_model
                                   (CloudProvidersAccount *self);

Get the menu model exported for the account

#### Parameters

self | A cloud provider account |

#### Returns

(transfer none) : The menu model exported by the cloud provider account

### cloud_providers_account_get_action_group ()

    GActionGroup *
    cloud_providers_account_get_action_group
                                   (CloudProvidersAccount *self);

Get the action group exported in addition to the GMenuModel from `cloud_providers_account_get_menu_model()`

#### Parameters

self | A cloud provider account |

#### Returns

(transfer none) : The action group exported by the cloud provider account

### cloud_providers_account_get_path ()

    const gchar *
    cloud_providers_account_get_path (CloudProvidersAccount *self);

Get the directory path of the account

#### Parameters

self | A cloud provider account |

#### Returns

The directory path of the cloud provider account

## Types and Values

### enum CloudProvidersAccountStatus

#### Members

CLOUD_PROVIDERS_ACCOUNT_STATUS_INVALID |  |
CLOUD_PROVIDERS_ACCOUNT_STATUS_IDLE |  |
CLOUD_PROVIDERS_ACCOUNT_STATUS_SYNCING |  |
CLOUD_PROVIDERS_ACCOUNT_STATUS_ERROR |  |

### CLOUD_PROVIDERS_TYPE_ACCOUNT

    #define CLOUD_PROVIDERS_TYPE_ACCOUNT (cloud_providers_account_get_type())

### struct CloudProvidersAccountClass

    struct CloudProvidersAccountClass {
      GObjectClass parent_class;
    };

### CloudProvidersAccount

    typedef struct _CloudProvidersAccount CloudProvidersAccount;

## Property Details

### The `“action-group”` property

      “action-group”             GActionGroup *

The action group associated with the account and menu model.

Flags: Read

### The `“icon”` property

      “icon”                     GIcon *

The icon representing the account.

Flags: Read

### The `“menu-model”` property

      “menu-model”               GMenuModel *

The menu model associated with the account.

Flags: Read

### The `“name”` property

      “name”                     gchar *

The name of the account.

Flags: Read

Default value: NULL

### The `“path”` property

      “path”                     gchar *

The path of the directory where files are located.

Flags: Read

Default value: NULL

### The `“status”` property

      “status”                   CloudProvidersAccountStatus

Status of the account.

Flags: Read

Default value: CLOUD_PROVIDERS_ACCOUNT_STATUS_INVALID

### The `“status-details”` property

      “status-details”           gchar *

The details of the account status.

Flags: Read

Default value: NULL